Interesanti

Vai man ir PHP?

Vai man ir PHP?


We are searching data for your request:

Forums and discussions:
Manuals and reference books:
Data from registers:
Wait the end of the search in all databases.
Upon completion, a link will appear to access the found materials.

Mūsdienās vairums tīmekļa serveru atbalsta PHP un MySQL, taču, ja rodas problēmas ar PHP koda palaišanu, pastāv iespēja, ka jūsu tīmekļa serveris to neatbalsta. Lai jūsu vietnē izpildītu PHP skriptus, jūsu tīmekļa resursdatoram ir jāatbalsta PHP / MySQL. Ja neesat pārliecināts, vai ar savu resursdatoru jums ir PHP / MySQL atbalsts, to varat uzzināt, izpildot testu, kas ietver vienkāršas programmas augšupielādi un mēģinājumu to palaist.

Pārbaude PHP atbalstam

  • Izveidojiet tukšu teksta failu, izmantojot NotePad vai jebkuru citu teksta redaktoru, un izsauciet to test.php. .Php paplašinājums faila nosaukuma beigās ir kritiski svarīgs. Tas nevar būt .php.html vai .php.txt vai kas cits kā .php.
  • Ievietojiet šo PHP kodu teksta failā:
  • Saglabājiet failu un, izmantojot FTP, augšupielādējiet to tīmekļa vietnes saknē. Atkarībā no servera mapi var saukt par public_html vai tīmekļa sakni vai kādu citu vārdu, taču tā ir galvenā jūsu vietnes mape.
  • Pārlūkprogrammā dodieties uz www.yoursite.com/test.php. Ja redzat kodu tā ievadīšanas brīdī, jūsu vietne nevar palaist PHP ar pašreizējo resursdatoru. Ja jūsu serveris atbalsta PHP, redzēsit visu PHP / SQL rekvizītu sarakstu, kurus atbalsta resursdators.

PHP versijas

Starp atbalstītajiem rekvizītiem vajadzētu būt PHP versijai, kuru darbina tīmekļa serveris. PHP ik pa laikam tiek atjaunināts, un katrai jaunai versijai parasti ir labāka drošības prakse un jaunas iespējas, kuras varat izmantot. Ja jūs un jūsu resursdators nedarbinat nesenas, stabilas, saderīgas PHP versijas, iespējams, ka rodas dažas problēmas. Ja izmantojat jaunāku tīmekļa servera stabilo versiju, iespējams, būs jāatrod jauns tīmekļa serveris.


Skatīties video: Tutorial Raspberry Pi - Apache, PHP, MySQL und PHPmyAdmin installieren veraltet (Jūnijs 2022).